/*
 * JBoss, Home of Professional Open Source
 * Copyright 2008, Red Hat, Inc., and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jboss.weld.bean;

import javax.enterprise.inject.spi.BeanAttributes;
import javax.enterprise.inject.spi.Decorator;

import org.jboss.weld.util.bean.IsolatedForwardingDecorator;

public abstract class ForwardingDecorator<T> extends IsolatedForwardingDecorator<T> {

    @Override
    protected abstract Decorator<T> delegate();

    @Override
    protected BeanAttributes<T> attributes() {
        return delegate();
    }

    @Override
    public String toString() {
        return "ForwardingDecorator wrapping " + delegate().toString();
    }

}
