/*
 * JBoss, Home of Professional Open Source
 * Copyright 2012, Red Hat, Inc., and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jboss.weld.util;

import org.jboss.weld.bootstrap.api.Service;
import org.jboss.weld.resources.spi.ResourceLoader;

/**
 * Utility class for JTA metadata.
 *
 * @author Jozef Hartinger
 *
 */
public class JtaApiAbstraction extends ApiAbstraction implements Service {

    public final Class<?> USER_TRANSACTION_CLASS;

    public JtaApiAbstraction(ResourceLoader resourceLoader) {
        super(resourceLoader);
        USER_TRANSACTION_CLASS = classForName("javax.transaction.UserTransaction");
    }

    @Override
    public void cleanup() {
    }
}
