/*
 * JBoss, Home of Professional Open Source
 * Copyright 2012, Red Hat, Inc., and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jboss.weld.util.bean;

import java.io.Serializable;

import javax.enterprise.inject.spi.Bean;

import org.jboss.weld.bean.ForwardingBean;
import org.jboss.weld.serialization.BeanHolder;

public class SerializableForwardingBean<T> extends ForwardingBean<T> implements Serializable {

    private static final long serialVersionUID = 6857565199244590365L;

    public static <T> SerializableForwardingBean<T> of(Bean<T> bean) {
        return new SerializableForwardingBean<T>(bean);
    }

    private final BeanHolder<T> holder;

    public SerializableForwardingBean(Bean<T> bean) {
        this.holder = new BeanHolder<T>(bean);
    }

    @Override
    protected Bean<T> delegate() {
        return holder.get();
    }
}
